Download
Get apidownload completed csv
Get a signed download URL for a completed lead export.
Prerequisites: Authenticated. The search must have status=COMPLETED.
The returned download_url is a time-limited signed URL. Download the file before expires_at. Returns 410 Gone if the link has already expired.
GET
/
api
/
download-completed-csv
/
{search_id}
/
cURL
curl -X GET 'https://www.spherescout.io/api/download-completed-csv/{search_id}/' \
-H 'Authorization: Token YOUR_API_KEY' \
-H 'User-Agent: SphereScout/1.0'import requests
response = requests.get(
"https://www.spherescout.io/api/download-completed-csv/{search_id}/",
headers={
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
)
print(response.json())const response = await fetch("https://www.spherescout.io/api/download-completed-csv/{search_id}/", {
headers: {
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
});
const data = await response.json();
{
"download_url": "<string>",
"filename": "<string>",
"file_size_bytes": 123,
"file_size_mb": 123,
"expires_at": "2023-11-07T05:31:56Z"
}Authorizations
API key. Format: Token
Path Parameters
⌘I
cURL
curl -X GET 'https://www.spherescout.io/api/download-completed-csv/{search_id}/' \
-H 'Authorization: Token YOUR_API_KEY' \
-H 'User-Agent: SphereScout/1.0'import requests
response = requests.get(
"https://www.spherescout.io/api/download-completed-csv/{search_id}/",
headers={
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
)
print(response.json())const response = await fetch("https://www.spherescout.io/api/download-completed-csv/{search_id}/", {
headers: {
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
});
const data = await response.json();
{
"download_url": "<string>",
"filename": "<string>",
"file_size_bytes": 123,
"file_size_mb": 123,
"expires_at": "2023-11-07T05:31:56Z"
}